| LicenseSpring .Net SDK 8.1.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.LicenseFileStorageEx Class Reference

Class that saves license in a file and provides interprocess synchronization for the license file. More...

Inheritance diagram for LicenseSpring.LicenseFileStorageEx:

## Public Member Functions
override void | Clear ()
| Removes local license data.
| LicenseFileStorageEx ()
| LicenseFileStorageEx constructor.
| LicenseFileStorageEx (string licenseFilePath=null)
| LicenseFileStorageEx constructor.
override string | LoadLicense ()
| Load license from file. Returns Ecrypted license data
override void | SaveLicense (string licenseData)
  | Saves given license data string to the file. Parameters
  licenseData | License data string
Public Member Functions inherited from LicenseSpring.LicenseFileStorage
string | LicenseFilePath ()
| Returns full path to the license file.
| LicenseFileStorage ()
| LicenseFileStorage constructor.
| LicenseFileStorage (string licenseFilePath=null)
| LicenseFileStorage constructor.

## Properties
string | MutexName`[get, set]`
| Mutex name for Interprocess Synchronization.
int | WaitTimeout`[get, set]`
| Mutex wait timeout in milliseconds.
Properties inherited from LicenseSpring.LicenseFileStorage
string | LicenseFileName`[get, set]`
| License filename with extension (optional)
string | LicenseFolderPath`[get, set]`
| Folder path where License file is being stored.

## Additional Inherited Members
Protected Member Functions inherited from LicenseSpring.LicenseFileStorage
void | DeleteFile ()
| Delete license file.
string | LoadFromFile ()
| Read string data from the file.
void | SaveToFile (string data)
| Write string data to the file.

## Detailed Description

Class that saves license in a file and provides interprocess synchronization for the license file.

Obsolete. For multi-process access, set `ExtendedOptions.EnableProcessSafety = true` and use the default LicenseFileStorage. The SDK then serializes cross-process reads and writes at the transaction layer and applies atomic read-modify-write, which fully supersedes this class. Do not combine this class with `EnableProcessSafety` — that would guard the same file with two uncoordinated locking mechanisms.

## Constructor & Destructor Documentation

## ◆ LicenseFileStorageEx()

LicenseSpring.LicenseFileStorageEx.LicenseFileStorageEx | ( | string | licenseFilePath = `null` | ) |

LicenseFileStorageEx constructor.

Parameters

  licenseFilePath | Optional argument, path to the license file

## Member Function Documentation

## ◆ Clear()

override void LicenseSpring.LicenseFileStorageEx.Clear | ( |  | ) |
| virtual

Removes local license data.

Reimplemented from LicenseSpring.LicenseFileStorage.

## ◆ LoadLicense()

override string LicenseSpring.LicenseFileStorageEx.LoadLicense | ( |  | ) |
| virtual

Load license from file.

Returns
  Ecrypted license data

Reimplemented from LicenseSpring.LicenseFileStorage.

## ◆ SaveLicense()

override void LicenseSpring.LicenseFileStorageEx.SaveLicense | ( | string | licenseData | ) |
| virtual

Saves given license data string to the file.

Parameters

  licenseData | License data string

Reimplemented from LicenseSpring.LicenseFileStorage.

## Property Documentation

## ◆ MutexName

string LicenseSpring.LicenseFileStorageEx.MutexName
| get set

Mutex name for Interprocess Synchronization.

Default MutexName is "Global\\" + Normalized( LicenseFilePath() )

## ◆ WaitTimeout

int LicenseSpring.LicenseFileStorageEx.WaitTimeout
| get set

Mutex wait timeout in milliseconds.

Default timeout is 5 seconds (5000 ms)

The documentation for this class was generated from the following file:

- LicenseFileStorage.cs